Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotConfiguration Class Reference

A class that represents the configuration of the robot. More...

`#include <RobotConfiguration.h>`

Inheritance diagram for RobotConfiguration:

[legend]
Collaboration diagram for RobotConfiguration:

[legend]
List of all members.

## Public Member Functions
| RobotConfiguration ()
| Constructor.
void | load ()
| Loads the data from robot.cfg.
const RobotCalibration & | getRobotCalibration () const
| returns the calibration values of the robot
void | setRobotCalibration (const RobotCalibration &r)
| sets the calibration values of the robot
const char * | getMacAddressString () const
| returns the mac address of the robot
Design | getRobotDesign () const
| returns the design of the robot
const RobotDimensions & | getRobotDimensions () const
| returns the dimensions of the robot
bool | handleMessage (InMessage &message)
| updates the robot configuration based on message queue data.
## Private Attributes
RobotCalibration | robotCalibration
| The calibration values of the robot.
char | macAddressString [13]
| The MAC address of the robot.
Design | robotDesign
| The design of the robot.
RobotDimensions | robotDimensions
| The dimensions of the robot.

## Detailed Description

A class that represents the configuration of the robot.

Author:
  Thomas Röfer

Definition at line 77 of file RobotConfiguration.h.

## Constructor & Destructor Documentation

RobotConfiguration::RobotConfiguration | ( |  | ) |

| Constructor. Definition at line 40 of file RobotConfiguration.cpp.

## Member Function Documentation

void RobotConfiguration::load | ( |  | ) |

| Loads the data from robot.cfg. Definition at line 45 of file RobotConfiguration.cpp. References RobotCalibration::bodyRollOffset, RobotCalibration::bodyTiltOffset, InStream< InFile, InConfig >::eof(), InFile::exists(), SystemCall::getMacAddress(), SystemCall::getRobotDesign(), RobotCalibration::headRollOffset, RobotCalibration::headTiltOffset, macAddressString, RobotCalibration::panFactor, robotCalibration, robotDesign, robotDimensions, RobotCalibration::tilt2Factor, and RobotCalibration::tiltFactor. Referenced by Process::Process().

Here is the call graph for this function:

const RobotCalibration& RobotConfiguration::getRobotCalibration | ( |  | ) | const`[inline]`

| returns the calibration values of the robot Definition at line 91 of file RobotConfiguration.h. References robotCalibration. Referenced by Kinematics::calculateCameraMatrix(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

void RobotConfiguration::setRobotCalibration | ( | const RobotCalibration & | r | ) | `[inline]`

| sets the calibration values of the robot Definition at line 94 of file RobotConfiguration.h. References robotCalibration.

const char* RobotConfiguration::getMacAddressString | ( |  | ) | const`[inline]`

| returns the mac address of the robot Definition at line 97 of file RobotConfiguration.h. References macAddressString.

Design RobotConfiguration::getRobotDesign | ( |  | ) | const`[inline]`

| returns the design of the robot Definition at line 100 of file RobotConfiguration.h. References robotDesign. Referenced by Kinematics::calculateCameraMatrix(), GT2005GetupEngine::executeParameterized(), GT2005ColorCorrector::GT2005ColorCorrector(), GT2004ParametersSet::load(), ColorCorrector::load(), GT2004ParametersSet::save(), PIDData::setHeadToDefaults(), PIDData::setToDefaults(), SlamColorCorrector::SlamColorCorrector(), and VLCColorCorrector::VLCColorCorrector().

const RobotDimensions& RobotConfiguration::getRobotDimensions | ( |  | ) | const`[inline]`

| returns the dimensions of the robot Definition at line 103 of file RobotConfiguration.h. References robotDimensions. Referenced by Field::addPlayer(), Kinematics::calcAbsRollJoints(), Kinematics::calcHeadHeight(), Kinematics::calcHighestPossibleTilt(), Kinematics::calcLowestPossibleTilt(), Kinematics::calcNeckAndLegPositions(), Kinematics::calcNoseHeight(), Kinematics::calcRelativeRobotVertices(), Kinematics::calculateCameraMatrix(), GT2005BallLocator::calculatePanningVelocityValue(), Geometry::calculateScaleFactor(), BallPercept::checkOffset(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), Kinematics::getAbsoluteRobotVertices(), GT2005HeadControl::GT2005HeadControl(), GT2005HeadPathPlanner::init(), Kinematics::jointsFromLegPosition(), Kinematics::kneePositionFromJoints(), Kinematics::legPositionFromJoints(), GT2003MotionNetSpecialActions::readOdometryTable(), Kinematics::transformToLegBase(), and RobotPoseSymbols::updateGoalieDefendPosition().

bool RobotConfiguration::handleMessage | ( | InMessage & | message | ) |

| updates the robot configuration based on message queue data. Definition at line 82 of file RobotConfiguration.cpp. References InMessage::bin, RobotCalibration::bodyRollOffset, RobotCalibration::bodyTiltOffset, GenericDebugData::data, InMessage::getMessageID(), RobotCalibration::headRollOffset, RobotCalibration::headTiltOffset, idBodyOffsets, idText, OUTPUT, RobotCalibration::panFactor, robotCalibration, RobotCalibration::tilt2Factor, and RobotCalibration::tiltFactor. Referenced by Motion::handleMessage(), and Cognition::handleMessage().

Here is the call graph for this function:

## Member Data Documentation

RobotCalibration RobotConfiguration::robotCalibration`[private]`

| The calibration values of the robot. Definition at line 109 of file RobotConfiguration.h. Referenced by getRobotCalibration(), handleMessage(), load(), and setRobotCalibration().

char RobotConfiguration::macAddressString[13]`[private]`

| The MAC address of the robot. Definition at line 110 of file RobotConfiguration.h. Referenced by getMacAddressString(), and load().

Design RobotConfiguration::robotDesign`[private]`

| The design of the robot. Definition at line 111 of file RobotConfiguration.h. Referenced by getRobotDesign(), and load().

RobotDimensions RobotConfiguration::robotDimensions`[private]`

| The dimensions of the robot. Definition at line 112 of file RobotConfiguration.h. Referenced by getRobotDimensions(), and load().

The documentation for this class was generated from the following files:

- Tools/RobotConfiguration.h
- Tools/RobotConfiguration.cpp